## python-oslo.utils 9.2.0

=== debian/changelog ===
python-oslo.utils (9.2.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 9.2.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 09:00:40 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.utils/ oslo[._]utils-(\d.*)\.tar\.gz

## python-oslo.utils 10.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
netaddr>=0.10.0 # BSD
debtcollector>=1.2.0 # Apache-2.0
pyparsing>=2.1.0 # MIT
packaging>=20.4 # BSD
PyYAML>=3.13 # MIT
psutil>=3.2.2 # BST
pbr>=6.1.0 # Apache-2.0

=== debian/changelog ===
python-oslo.utils (10.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:32:55 +0100

python-oslo.utils (9.1.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1046551).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 21:42:15 +0100

python-oslo.utils (9.1.0-4) unstable; urgency=medium

  * Drop useless python3-pytz (build-)depends (Closes: #1121866).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Dec 2025 21:29:13 +0100

python-oslo.utils (9.1.0-3) unstable; urgency=medium

  * Replaced python3-tz by python3-pytz (Closes: #1116379).

 -- Thomas Goirand <zigo@debian.org>  Sat, 15 Nov 2025 13:17:10 +0100

python-oslo.utils (9.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:30:50 +0200

python-oslo.utils (9.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:18:51 +0200

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 6.1.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 libcrypt1,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-fixtures <!nodoc>,
 python3-hacking,
 python3-iso8601,
 python3-netaddr (>= 0.10.1),
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslotest,
 python3-packaging,
 python3-psutil,
 python3-pyparsing,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
 qemu-utils,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 libcrypt1,
 python3-debtcollector,
 python3-iso8601,
 python3-netaddr (>= 0.10.1),
 python3-oslo.i18n,
 python3-pbr (>= 6.1.0),
 python3-packaging,
 python3-psutil,
 python3-pyparsing,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.
